Summary: Library for handling different graphics files.
Name: libgr
Version: 2.0.13
Release: 13
Copyright: freeware
Group: Libraries
Source0: ftp://ftp.ctd.comsat.com/pub/linux/ELF/libgr-2.0.13.tar.gz
Source1: jpeg-to-pnm.fpi
Source2: pnm-to-ps.fpi 
Source3: libgr-scripts.tar.gz
Patch0: libgr-config.patch
Patch1: libgr-2.0.13-incl.patch
Patch2: libgr-2.0.13-glibc.patch
Patch3: libgr-2.0.13-pktopbm.patch
Buildroot: /tmp/libgr-root
Summary(de): Library zum Verarbeiten verschiedener Grafikdateien
Summary(fr): Bibliothque pour grr diffrents fichiers graphiques
Summary(tr): Deiik grafik dosyalarn ileme kitapl

%description
This package is a library for handling various graphics file formats,
including FBM, PBM, PGM, PNM, PPM, and REL.

%package devel
Summary: headers and static libraries developing programs using libgr
Group: Development/Libraries
Requires: libgr
Summary(de): Programm zum Entwickeln von Headern und statischen Libraries mit libgr
Summary(fr): En-ttes et bibliothques statiques pour dvelopper avec libgr
Summary(tr): libgr iin balk dosyalar ve gelitirme kitaplklar

%description devel
This package is all you need to develop programs that handle the various
graphics file formats supported by libgr.

%package progs
Summary: libgr utility programs
Group: Applications/Graphics
Obsoletes: netpbm
Summary(de): Libgr-Utility-Programme
Summary(fr): Programmes utilitaires libgr
Summary(tr): libgr yardmc programlar

%description progs
This package includes various utility programs for manipulating JPEG files
for use by libgr programs.

%description -l de
Dieses Paket ist eine Library zum Bearbeiten verschiedener Grafikformate,
u.a. FBM, PBM, PGM, PNM, PPM und REL.

%description -l de progs
Dieses paket enthlt verschiedene Utilities zum Manipulieren von JPEG-
Dateien zur Benutzung durch libgr-Programme.

%description -l de devel
Dieses Paket enthlt alles, was Sie brauchen, um Programme zu entwickeln, 
die die verschiedenen Grafikdateiformate verarbeiten knnen, die von 
libgr untersttzt werden.

%description -l fr
Ce package est une librairie pour la manipulation de divers formats
d'images, dont FBM, PBM, PGM, PNM, PPM, et REL.

%description -l fr progs
Ce package comprend divers utilitaires pour manipuler des fichiers JPG
pour l'utilisation par des programes libgr.

%description -l fr devel
Ce paquetage est tout ce dont vous avez besoin pour dvelopper des programmes
grant les formats de fichiers graphiques reconnus par libgr.

%description -l tr
Bu paket pek ok grafik dosya biimlerini (rle, pnm, ppm, pbm, pgm, fbm)
ileyen kitaplklar ierir.

%description -l tr progs
Bu paket, JPEG dosyalarn ileyen yardmc programlar ierir.

%description -l tr devel
Bu paket, libgr paketinin destekledii grafik formatlarn ileyen
programlar yazmak iin gerekli dosyalar ierir.

%prep
%setup -q
%patch0 -p1
tar xvfz $RPM_SOURCE_DIR/libgr-scripts.tar.gz
%patch1 -p1 -b .incl
%patch2 -p1 -b .glibc
%patch3 -p1 -b .pktopbm

# only necessary if you build tiff and jpeg support (we don't)
# (cd tiff; ln -s ../jpeg/ .)

%build
SHARED=shared
make SHARED=$SHARED everything
make -f Makefile.tiff -C pnm progs

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin}
make prefix=$RPM_BUILD_ROOT/usr install_everything
make -f Makefile.tiff -C pnm prefix=$RPM_BUILD_ROOT/usr install_p install_m
make -C png progs
make -C png prefix=$RPM_BUILD_ROOT/usr install_p install_m

# (cd jpeg ; make SHARED=$SHARED install ; make install-headers )
# (cd tiff; install -m 644 -o 0 -g 0 tiff.h /usr/include)
# (cd tiff; install -m 644 -o 0 -g 0 tiffio.h /usr/include)
strip $RPM_BUILD_ROOT/usr/bin/*

cd libgr-scripts
./install.sh $RPM_BUILD_ROOT
cd -

# removed from this package; get from home site(s) or libjpeg/libtiff packages
# ln -sf libjpeg.so.6.0.1 $RPM_BUILD_ROOT/usr/lib/libjpeg.so
# ln -sf libtiff.so.3.4.28 $RPM_BUILD_ROOT/usr/lib/libtiff.so

ln -sf libfbm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libfbm.so
ln -sf libpbm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libpbm.so
ln -sf libpgm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libpgm.so
ln -sf libpnm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libpnm.so
ln -sf libppm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libppm.so
ln -sf librle.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/librle.so

mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
install -m755 $RPM_SOURCE_DIR/jpeg-to-pnm.fpi \
	$RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
install -m755 $RPM_SOURCE_DIR/pnm-to-ps.fpi \
	$RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
#/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/lib/lib*.so.*

%files devel
/usr/include/*.h
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/man/man3/*.3

%files progs
/usr/lib/rhs/rhs-printfilters/jpeg-to-pnm.fpi
/usr/lib/rhs/rhs-printfilters/pnm-to-ps.fpi
/usr/man/man1/*.1
/usr/bin/*

%changelog
* Fri Oct 09 1998 Cristian Gafton <gafton@redhat.com>
- patch to fix pktopbm

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- glibc2 defines random in <stdlib.h> (pbm/pbmplus.h problem #693)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- cleaned up the spec file a little bit
- validated mike's changes :-)

* Wed May 6 1998 Michael Maher <mike@redhat.com>
- added pnm-to-ps.fpi that was missing from previous packages

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- altered %install so that the package installs now even if a previous
  version was not installed on the system 

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- built against libpng 1.0

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- changed copyright from "distributable" to "freeware"
- added some missing scripts that existed in netpbm
- added some binaries that weren't getting built
- added patch to build tiff manipulation progs (requires libtiff)

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- obsoletes netpbm now

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- mucked config.guess and Make.Rules to build on Alpha/Linux

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- updated to 2.0.13
- dropped libjpeg and libtiff (those should come from home sources)
- removed glibc patch (new version appears to have it!)
- added i686 as a valid arch type to config.guess

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

